<!--
 * @Description: In User Settings Edit
 * @Author: your name
 * @Date: 2019-08-26 10:58:22
 * @LastEditTime: 2019-08-27 17:51:21
 * @LastEditors: Please set LastEditors
 -->
<template>
  <div class="goal">
    <div v-if="isDisplay">
      <yd-accordion :accordion="true">
        <yd-accordion-item title="总局数:单/双" open>
          <div class="row allAlignment box">
            <div class=" column allAlignment left_box">
              <div
                v-for="(item,index) in data"
                :key="'b'+index"
                v-if="item.odds_code =='tss'"
                class=" row allAlignment"
              >
                <div>{{item.condition}}</div>
                <div  v-if="item.odds >0" class="ratio"
                  :class="{col:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                  @click="toggle(item.condition,item,'进球:单/双')"
                >
                  <span>{{item.odds}}</span>
                </div>
                <div v-else  class="ratio column center">
                  <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
                </div>
              </div>
            </div>

            <div class=" column allAlignment right_box ">
            <div
              v-for="(item,index) in data"
              :key="'d'+index"
              v-if="item.odds_code =='tsd' "
              class=" row allAlignment"
            >
              <div>{{item.condition}}</div>
              <div  v-if="item.odds >0" class="ratio"
                :class="{col:item.isTrue,increased_color:item.change == 'add',reduce_color:item.change == 'red'}"
                @click="toggle(item.condition,item,'进球:单/双')"
              >
                <span>{{item.odds}}</span>
              </div>
              <div v-else  class="ratio column center">
                <img style="width: 0.7rem;height: 0.5rem;" src="@/assets/st-imges/mima.png"><img>
              </div>
            </div>
            </div>
          </div>
        </yd-accordion-item>
      </yd-accordion>

    </div>
  </div>
</template>
<script>
export default {
  // 进球大小单双数
  data() {
    return {
      title: "TS",
      // status: -1,
      smallStatus: [],
      isDisplay: false,
      home_team: "",
      guest_team: "",
      match_id: "",
      lg_id:'',
      score: "0",
      data: [], //
      betting: [], //已投注倍率id集合
      dataNum: 10000, //对应的数据的下标
      match_score:[],//比分
      match_process:'',//比赛进程
    };
  },
  methods: {
    //玩法投注
    toggle(name,item,play_name) {
      let _this = this;
      let bettingInfo = item;
      bettingInfo.lg_id = this.lg_id;
      bettingInfo.match_id = this.match_id;
      bettingInfo.name = name;
      bettingInfo.home_team = this.home_team;
      bettingInfo.guest_team = this.guest_team;
      bettingInfo.ballId = this.$store.getters.getBallId,
      bettingInfo.oddsType = this.$store.getters.getActivity;
      bettingInfo.play_name = play_name;
      if( this.$store.getters.getActivity =='StRollBall'){
        bettingInfo.home_score = this.match_score[0];
        bettingInfo.guest_score = this.match_score[1];
        bettingInfo.roll_time = this.match_process;
      }
      //调用玩法投注公共方法
      this.$public.bettingFunction(
        this.betting,
        bettingInfo,
        this.data,
        this.$store.getters.getBetting,
        this.title,
        this.dataNum,
        this.$store.getters.getLimit,
        function(res, type) {
          _this.$set(res, "isTrue", type);
        },
        function(data, val,type) {
            if(type) {
            _this.$dialog.alert({mes: '你的注单已达到上限啦!'});
          }
          _this.$store.dispatch("BETTING", []);
          _this.$store.dispatch("BETTING", data ? data : val);

           if(_this.$store.getters.getIsBetting == '100') return false
          _this.$store.dispatch("ISBETTING",'100')
        }
      );
    },
    //获取玩法id
    getBettingId(data) {
      if (data) {
        data.forEach((res, index) => {
          if (res.title ==  this.title) {
            this.betting = res.data;
            this.dataNum = index;
          }
        });
      }
    }
  },
  computed: {
    getUserIcons() {
      return this.$store.getters.getGameRatio;
    },
    getBetting() {
      return this.$store.getters.getBetting;
    },
    //获取投注框删除的投注信息
    getDeleteType() {
      return this.$store.getters.getDeleteType;
    }
  },
  watch: {
    //监听vuex里面数据
    getUserIcons(val) {
      if (!val) return false;
      this.match_id = val.match_id;
      this.home_team = val.home_team;
      this.guest_team = val.guest_team;
      this.lg_id=val.lg_id
      //获取滚球进程和比分数据
      if(this.$store.getters.getActivity == 'StRollBall'){
        let ball = this.$store.getters.getBallId;
        if(ball == 'zq'){
          this.match_process = `${val.match_process}-${val.match_ptime}`
        }else if(ball == 'lq'){
          this.match_process = `${val.match_process}-${val.match_ptime}`;
        }else if(ball == 'wq' && val.match_process){
          this.match_process = val.match_process.substr(val.match_process.length-1,1)
        }else if(ball == 'bq' && val.match_process){
          this.match_process = val.match_process.substr(val.match_process.length-1,1)
        }
        this.match_score = val.match_score.split('-');
      }
      val.oddsData.forEach(res => {
        if (res[0].p_code == this.title) {
          this.isDisplay = true;
          this.data = res;
          // console.log(this.data);
        }
      });
     
      this.getBettingId(this.$store.getters.getBetting);
      if (this.dataNum != 10000) {
        this.betting.forEach(res => {
          this.data.forEach((e, index) => {
            if (res.mark == e.mark) {
              this.$set(e, "isTrue", true);
            }
          });
        });
      }
      //console.log(this.data, "a123");
    },
    //获取已投注信息
    getBetting(val) {
      let _this = this;
      this.$public.getBettingId(val, this.title, function(data, index) {
        _this.betting = data;
        _this.dataNum = index;
      });
    },
    //监听投注框删除处理
    getDeleteType(val) {
      this.data.forEach(e => {
        if (val == "all") {
          this.$set(e, "isTrue", false);
        } else {
          if (e.mark == val) {
            this.$set(e, "isTrue", false);
          }
        }
      });
    }
  }
};
</script>
<style scoped>
div /deep/ .yd-accordion-head {
  padding: 0 0.32rem;
  background: #a0a0a0;
}
.goalBox {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #f8f8f8;
  padding: 0 0.32rem;
}
div /deep/ .yd-accordion-title {
  color: #fefefe;
  font-size: 0.28rem;
}
div /deep/ .yd-accordion-head-arrow:after {
  border: none;
  width: 0.5rem;
  height: 0.5rem;
  background: url("../assets/st-imges/xiangxia.png") no-repeat;
  background-size: 100% 100%;
}
.box {
  font-size: 0.24rem;
  color: #333333;
  background: #f4f4f4;
  padding: 0 0.32rem;
}

.left_box {
  width: 50%;
  border-right: 1px solid #e4e4e4;
  line-height: 0.9rem;
}
.right_box {
  width: 50%;
  padding-left: 0.16rem;
  line-height: 0.9rem;
}
.ratio {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.07rem;
  height: 0.76rem;
  border: 1px solid #cecece;
  border-radius: 0.1rem;
  margin: 0.06rem;
  padding: .1rem;
  text-align: center;
}
.col {
  background: #f76649;
  border: 2px solid #f76649 !important;
}
.col span {
  color: #f4f4f4 !important;
}
/* .odds .score {
  display: block;
  margin-top: 0.04rem;
}  */
</style>